%% Function to find best parents with tournament selection
function [parent1M, parent2M, parentelim1M, parentelim2M] = TournamentRow(TournamentSize, DelayM, FncMfGA, ParentRow, r)
    for j = 1 : TournamentSize
        TournamentParentsRow(j) = floor((length(ParentRow(1,:)))*rand(1,1) + 1);
        RulerRow = ParentRow(:,TournamentParentsRow(j));
        [FncMx] = MAPRow(FncMfGA, RulerRow, r);
        [M] = fitnessM(FncMx, DelayM);
        FitnsM(j,1) = M;
        FitnsM(j,2) = TournamentParentsRow(j);
    end
    FitnsSortM = sortrows(FitnsM);
    parent1M = FitnsSortM(1,2);
    parent2M = FitnsSortM(2,2);
    parentelim1M = FitnsSortM(end,2);
    parentelim2M = FitnsSortM(end-1,2);
end
