%% Function to crossover two parents and achieve two childs
function [Cr1, Cr2] = CrossoverDefRow(r, ParentRow, parent1, parent2)
        seperator1 = ceil((r-1).*rand(1,1) + 0);
        seperator2 = ceil((r-1).*rand(1,1) + 0);
        if seperator1 < seperator2
            seperator(1) = seperator1;
            seperator(2) = seperator2;
        else
            seperator(1) = seperator2;
            seperator(2) = seperator1;
        end
        Cr1 = [ParentRow(1:seperator(1),parent1) ; ParentRow(seperator(1)+1:seperator(2),parent2);ParentRow(seperator(1)+1:end,parent1)];
        Cr2 = [ParentRow(1:seperator(1),parent2) ; ParentRow(seperator(1)+1:seperator(2),parent1);ParentRow(seperator(1)+1:end,parent2)];
        [~, idxs, ~] = unique(Cr1, 'first');
        Cr1 = Cr1(sort(idxs));
        [~, idxs, ~] = unique(Cr2, 'first'); 
        Cr2 = Cr2(sort(idxs));
end
