%% Function to calculate worst-case delays of a row and column population
function [FitnsM] = TestCurrentGen(ParentRow, ParentCol, FncM, r, c, DelayM)
    for i = 1 : length(ParentRow(1,:))
        RulerRow = ParentRow(:,i);
        for j = 1 : length(ParentCol(:,1))
            FncMx = FncM;
            RulerCol = ParentCol(j,:);
            for k = 1 : r
                temp1 = FncMx(k,:);
                temp2 = FncMx(RulerRow(k),:);
                FncMx(k,:) = temp2;
                FncMx(RulerRow(k),:) = temp1; 
            end
            for k = 1 : c
                temp3 = FncMx(:,k);
                temp4 = FncMx(:,RulerCol(k));
                FncMx(:,k) = temp4;
                FncMx(:,RulerCol(k)) = temp3;
            end
            [FitnsM(j,i)] = fitnessM(FncMx,DelayM);
        end
    end
end